Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Class ResourceWebServices

`java.lang.Object
oracle.ovs.api.ResourceWebServices`

      public class ResourceWebServices

extends java.lang.Object

Resource Web Service Wrapper

Constructor Summary
`ResourceWebServices()`

Method Summary
`VirtualMachineImage` | `approveImage(java.lang.String serverPoolName, java.lang.String imageName)` approve registered virtual machine image in one server pool
`ISOResource` | `approveISOResource(java.lang.Long isoResourceId)` Approve registered iso resource by id
`VirtualMachineTemplate` | `approveTemplate(java.lang.String serverPoolName, java.lang.String templateName)` approve registered virtual machine template in one server pool
`void` | `deleteImage(java.lang.String serverPoolName, java.lang.String imageName)` delete registered virtual machine image by image name in one server pool
`void` | `deleteISO(java.lang.Long isoResourceId)` delete registered iso resource by id
`java.lang.String` | `deleteSharedVirtualDisk(java.lang.Long sharedVirtualDiskId)` Delete a registered shared virtual disk by id
`void` | `deleteTemplate(java.lang.String serverPoolName, java.lang.String templateName)` delete registered virtual machine template in one server pool
`DiscoveredVirtualMachineImage[]` | `getAllDiscoverableImages(java.lang.String serverPoolName)` Get all unregistered virtual machine images in one server pool
`DiscoveredISO[]` | `getAllDiscoverableISO(java.lang.String serverPoolName)` Get all unregistered iso resources in one server pool
`DiscoveredVirtualMachineTemplate[]` | `getAllDiscoverableTemplates(java.lang.String serverPoolName)` Get all unregistered virtual machine templates in one server pool
`VirtualMachineImage[]` | `getAllImageResources(java.lang.String serverPoolName)` Get all registered virtual machine images in one server pool
`ISOResource[]` | `getAllISOResources(java.lang.String serverPoolName)` Get all registered iso resources in one server pool
`SharedVirtualDisk[]` | `getAllSharedVirtualDisks(java.lang.String serverPoolName)` Get all registered shared virtual disks in one server pool
`VirtualMachineTemplate[]` | `getAllTemplateResources(java.lang.String serverPoolName)` Get all registered virtual machine templates in one server pool
`VirtualMachineImage` | `getImageResource(java.lang.Long imageId)` Get registered virtual machine image by image id
`VirtualMachineImage` | `getImageResourceByName(java.lang.String serverPoolName, java.lang.String imageName)` Get registered virtual machine image by image name in one server pool
`ISOResource` | `getISOResource(java.lang.Long isoResourceId)` Get registered iso resource by id
`ISOResource[]` | `getISOResourceByGroupName(java.lang.String serverPoolName, java.lang.String groupName)` Get registered iso resources by group name
`ISOResource` | `getISOResourceByGroupNameAndISOName(java.lang.String serverPoolName, java.lang.String groupName, java.lang.String isoName)` Get registered iso resource by group name and iso name in one server pool
`ISOResource[]` | `getISOResourceByISOName(java.lang.String serverPoolName, java.lang.String isoName)` Get registered iso resource by iso label name
`SharedVirtualDisk` | `getSharedDiskResource(java.lang.Long sharedVirtualDiskId)` Get registered shared virtual disk by id
`SharedVirtualDisk` | `getSharedDiskResourceByName(java.lang.String serverPoolName, java.lang.String sharedVirtualDiskName)` Get registered shared virtual disk by name
`VirtualMachineTemplate` | `getTemplateResource(java.lang.Long templateId)` Get registered virtual machine template by id
`VirtualMachineTemplate` | `getTemplateResourceByName(java.lang.String serverPoolName, java.lang.String templateName)` Get registered virtual machine template by template name in one server pool
`void` | `registerExternalImage(java.lang.String serverPoolName, VirtualMachineImage virtualMachineImage)` register external virtual image this api requires download url to fetch remote resources
`void` | `registerExternalISO(java.lang.String serverPoolName, ISOResourceConfig isoResourceConfig)` Import iso resource externally
`void` | `registerExternalTemplate(java.lang.String serverPoolName, VirtualMachineTemplate virtualMachineTemplate)` register external virtual machine template this api requires download url to fetch remote resources
`void` | `registerImage(java.lang.String serverPoolName, VirtualMachineImage virtualMachineImage)` register virtual machine image NOT EXPOSED IN WEB SERVICE
`void` | `registerInternalImage(java.lang.String serverPoolName, VirtualMachineImage virtualMachineImage)` register internal virtual machine image
`void` | `registerInternalISO(java.lang.String serverPoolName, ISOResourceConfig isoResourceConfig)` register internal iso resource
`void` | `registerInternalTemplate(java.lang.String serverPoolName, VirtualMachineTemplate virtualMachineTemplate)` register a virtual machine template internally
`void` | `registerISO(java.lang.String serverPoolName, ISOResourceConfig isoResourceConfig)` register iso resource NOT EXPOSED IN WEB SERVICE
`void` | `registerSharedVirtualDisk(java.lang.String serverPoolName, SharedVirtualDiskConfig sharedVirtualDiskConfig)` Register/Create a shared virtual disk in one server pool
`void` | `registerTemplate(java.lang.String serverPoolName, VirtualMachineTemplate virtualMachineTemplate)` register virtual machine template NOT EXPOSED IN WEB SERVICE
`java.util.Map` | `ValidateVMConfig(java.lang.String serverPoolName, java.lang.String vmPath)` prerequistic check for virtual machine config file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceWebServices

    public ResourceWebServices()

Method Detail

### registerInternalTemplate

    public void registerInternalTemplate(java.lang.String serverPoolName,
                                         VirtualMachineTemplate virtualMachineTemplate)
                                  throws oracle.ovs.biz.exception.OVSException

  register a virtual machine template internally
  Parameters:
    `serverPoolName` -
    `virtualMachineTemplate` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerImage

    public void registerImage(java.lang.String serverPoolName,
                              VirtualMachineImage virtualMachineImage)
                       throws oracle.ovs.biz.exception.OVSException

  register virtual machine image
  NOT EXPOSED IN WEB SERVICE
  Parameters:
    `serverPoolName` -
    `virtualMachineImage` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerInternalImage

    public void registerInternalImage(java.lang.String serverPoolName,
                                      VirtualMachineImage virtualMachineImage)
                               throws oracle.ovs.biz.exception.OVSException

  register internal virtual machine image
  Parameters:
    `serverPoolName` -
    `virtualMachineImage` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerTemplate

    public void registerTemplate(java.lang.String serverPoolName,
                                 VirtualMachineTemplate virtualMachineTemplate)
                          throws oracle.ovs.biz.exception.OVSException

  register virtual machine template
  NOT EXPOSED IN WEB SERVICE
  Parameters:
    `serverPoolName` -
    `virtualMachineTemplate` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerExternalTemplate

    public void registerExternalTemplate(java.lang.String serverPoolName,
                                         VirtualMachineTemplate virtualMachineTemplate)
                                  throws oracle.ovs.biz.exception.OVSException

  register external virtual machine template
  this api requires download url to fetch remote resources
  Parameters:
    `serverPoolName` -
    `virtualMachineTemplate` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerExternalImage

    public void registerExternalImage(java.lang.String serverPoolName,
                                      VirtualMachineImage virtualMachineImage)
                               throws oracle.ovs.biz.exception.OVSException

  register external virtual image
  this api requires download url to fetch remote resources
  Parameters:
    `serverPoolName` -
    `virtualMachineImage` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerISO

    public void registerISO(java.lang.String serverPoolName,
                            ISOResourceConfig isoResourceConfig)
                     throws oracle.ovs.biz.exception.OVSException

  register iso resource
  NOT EXPOSED IN WEB SERVICE
  Parameters:
    `serverPoolName` -
    `isoResourceConfig` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerInternalISO

    public void registerInternalISO(java.lang.String serverPoolName,
                                    ISOResourceConfig isoResourceConfig)
                             throws oracle.ovs.biz.exception.OVSException

  register internal iso resource
  Parameters:
    `serverPoolName` -
    `isoResourceConfig` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### approveTemplate

    public VirtualMachineTemplate approveTemplate(java.lang.String serverPoolName,
                                                  java.lang.String templateName)
                                           throws oracle.ovs.biz.exception.OVSException

  approve registered virtual machine template in one server pool
  Parameters:
    `serverPoolName` -
    `templateName` -
  Returns:
    approved virtual machine template
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteTemplate

    public void deleteTemplate(java.lang.String serverPoolName,
                               java.lang.String templateName)
                        throws oracle.ovs.biz.exception.OVSException

  delete registered virtual machine template in one server pool
  Parameters:
    `serverPoolName` -
    `templateName` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### approveImage

    public VirtualMachineImage approveImage(java.lang.String serverPoolName,
                                            java.lang.String imageName)
                                     throws oracle.ovs.biz.exception.OVSException

  approve registered virtual machine image in one server pool
  Parameters:
    `serverPoolName` -
    `imageName` -
  Returns:
    approved virtual machine image
    [approved status]
    - "Powered Off" for powered off virtual macines or all virtual machines in legacy server pools
    - "Running" for running virtual machines with vnc port
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteImage

    public void deleteImage(java.lang.String serverPoolName,
                            java.lang.String imageName)
                     throws oracle.ovs.biz.exception.OVSException

  delete registered virtual machine image by image name in one server pool
  Parameters:
    `serverPoolName` -
    `imageName` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteISO

    public void deleteISO(java.lang.Long isoResourceId)
                   throws oracle.ovs.biz.exception.OVSException

  delete registered iso resource by id
  Parameters:
    `isoResourceId` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllTemplateResources

    public VirtualMachineTemplate[] getAllTemplateResources(java.lang.String serverPoolName)
                                                     throws oracle.ovs.biz.exception.OVSException

  Get all registered virtual machine templates in one server pool
  Parameters:
    `serverPoolName` -
  Returns:
    virtual machine template array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllImageResources

    public VirtualMachineImage[] getAllImageResources(java.lang.String serverPoolName)
                                               throws oracle.ovs.biz.exception.OVSException

  Get all registered virtual machine images in one server pool
  Parameters:
    `serverPoolName` -
  Returns:
    virtual macine image array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllISOResources

    public ISOResource[] getAllISOResources(java.lang.String serverPoolName)
                                     throws oracle.ovs.biz.exception.OVSException

  Get all registered iso resources in one server pool
  Parameters:
    `serverPoolName` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### ValidateVMConfig

    public java.util.Map ValidateVMConfig(java.lang.String serverPoolName,
                                          java.lang.String vmPath)
                                   throws oracle.ovs.biz.exception.OVSException

  prerequistic check for virtual machine config file
  Parameters:
    `serverPoolName` -
    `vmPath` -
  Returns:
    the map for all items validation result
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllDiscoverableISO

    public DiscoveredISO[] getAllDiscoverableISO(java.lang.String serverPoolName)
                                          throws oracle.ovs.biz.exception.OVSException

  Get all unregistered iso resources in one server pool
  Parameters:
    `serverPoolName` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllDiscoverableTemplates

    public DiscoveredVirtualMachineTemplate[] getAllDiscoverableTemplates(java.lang.String serverPoolName)
                                                                   throws oracle.ovs.biz.exception.OVSException

  Get all unregistered virtual machine templates in one server pool
  Parameters:
    `serverPoolName` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllDiscoverableImages

    public DiscoveredVirtualMachineImage[] getAllDiscoverableImages(java.lang.String serverPoolName)
                                                             throws oracle.ovs.biz.exception.OVSException

  Get all unregistered virtual machine images in one server pool
  Parameters:
    `serverPoolName` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllSharedVirtualDisks

    public SharedVirtualDisk[] getAllSharedVirtualDisks(java.lang.String serverPoolName)
                                                 throws oracle.ovs.biz.exception.OVSException

  Get all registered shared virtual disks in one server pool
  Parameters:
    `serverPoolName` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerSharedVirtualDisk

    public void registerSharedVirtualDisk(java.lang.String serverPoolName,
                                          SharedVirtualDiskConfig sharedVirtualDiskConfig)
                                   throws oracle.ovs.biz.exception.OVSException

  Register/Create a shared virtual disk in one server pool
  Parameters:
    `serverPoolName` -
    `sharedVirtualDiskConfig` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteSharedVirtualDisk

    public java.lang.String deleteSharedVirtualDisk(java.lang.Long sharedVirtualDiskId)
                                             throws oracle.ovs.biz.exception.OVSException

  Delete a registered shared virtual disk by id
  Parameters:
    `sharedVirtualDiskId` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerExternalISO

    public void registerExternalISO(java.lang.String serverPoolName,
                                    ISOResourceConfig isoResourceConfig)
                             throws oracle.ovs.biz.exception.OVSException

  Import iso resource externally
  Parameters:
    `serverPoolName` -
    `isoResourceConfig` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getTemplateResource

    public VirtualMachineTemplate getTemplateResource(java.lang.Long templateId)
                                               throws oracle.ovs.biz.exception.OVSException

  Get registered virtual machine template by id
  Parameters:
    `templateId` -
  Returns:
    virtual machine template
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getTemplateResourceByName

    public VirtualMachineTemplate getTemplateResourceByName(java.lang.String serverPoolName,
                                                            java.lang.String templateName)
                                                     throws oracle.ovs.biz.exception.OVSException

  Get registered virtual machine template by template name in one server pool
  Parameters:
    `serverPoolName` -
    `templateName` -
  Returns:
    virtual machine template
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getImageResource

    public VirtualMachineImage getImageResource(java.lang.Long imageId)
                                         throws oracle.ovs.biz.exception.OVSException

  Get registered virtual machine image by image id
  Parameters:
    `imageId` -
  Returns:
    virtual machine image
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getImageResourceByName

    public VirtualMachineImage getImageResourceByName(java.lang.String serverPoolName,
                                                      java.lang.String imageName)
                                               throws oracle.ovs.biz.exception.OVSException

  Get registered virtual machine image by image name in one server pool
  Parameters:
    `serverPoolName` -
    `imageName` -
  Returns:
    virtual machine image
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResource

    public ISOResource getISOResource(java.lang.Long isoResourceId)
                               throws oracle.ovs.biz.exception.OVSException

  Get registered iso resource by id
  Parameters:
    `isoResourceId` -
  Returns:
    iso resource
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getSharedDiskResource

    public SharedVirtualDisk getSharedDiskResource(java.lang.Long sharedVirtualDiskId)
                                            throws oracle.ovs.biz.exception.OVSException

  Get registered shared virtual disk by id
  Parameters:
    `sharedVirtualDiskId` -
  Returns:
    shared virtual disk
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getSharedDiskResourceByName

    public SharedVirtualDisk getSharedDiskResourceByName(java.lang.String serverPoolName,
                                                         java.lang.String sharedVirtualDiskName)
                                                  throws oracle.ovs.biz.exception.OVSException

  Get registered shared virtual disk by name
  Parameters:
    `serverPoolName` -
    `sharedVirtualDiskName` -
  Returns:
    shared virtual disk
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResourceByGroupNameAndISOName

    public ISOResource getISOResourceByGroupNameAndISOName(java.lang.String serverPoolName,
                                                           java.lang.String groupName,
                                                           java.lang.String isoName)
                                                    throws oracle.ovs.biz.exception.OVSException

  Get registered iso resource by group name and iso name in one server pool
  Parameters:
    `serverPoolName` -
    `groupName` -
    `isoName` -
  Returns:
    iso resource
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResourceByGroupName

    public ISOResource[] getISOResourceByGroupName(java.lang.String serverPoolName,
                                                   java.lang.String groupName)
                                            throws oracle.ovs.biz.exception.OVSException

  Get registered iso resources by group name
  Parameters:
    `serverPoolName` -
    `groupName` -
  Returns:
    iso resource array
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResourceByISOName

    public ISOResource[] getISOResourceByISOName(java.lang.String serverPoolName,
                                                 java.lang.String isoName)
                                          throws oracle.ovs.biz.exception.OVSException

  Get registered iso resource by iso label name
  Parameters:
    `serverPoolName` -
    `isoName` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### approveISOResource

    public ISOResource approveISOResource(java.lang.Long isoResourceId)
                                   throws oracle.ovs.biz.exception.OVSException

  Approve registered iso resource by id
  Parameters:
    `isoResourceId` -
  Returns:
    iso resource
  Throws:
    `oracle.ovs.biz.exception.OVSException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.